NetBSD Problem Report #53373

From www@NetBSD.org  Sat Jun 16 14:33:57 2018
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [199.233.217.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.NetBSD.org", Issuer "mail.NetBSD.org CA" (not verified))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 746BF7A183
	for <gnats-bugs@gnats.NetBSD.org>; Sat, 16 Jun 2018 14:33:57 +0000 (UTC)
Message-Id: <20180616143355.726A37A270@mollari.NetBSD.org>
Date: Sat, 16 Jun 2018 14:33:55 +0000 (UTC)
From: dvollen@gmail.com
Reply-To: dvollen@gmail.com
To: gnats-bugs@NetBSD.org
Subject: GUI programs using cmake fail to run
X-Send-Pr-Version: www-1.0

>Number:         53373
>Category:       pkg
>Synopsis:       GUI programs using cmake fail to run
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sat Jun 16 14:35:00 +0000 2018
>Last-Modified:  Thu Jun 21 02:00:00 +0000 2018
>Originator:     Dave Vollenweider
>Release:        NetBSD 7.1 amd64 pkgsrc-2018Q4, April 12, 2018
>Organization:
>Environment:
NetBSD ramiel.studiolab45.net 7.1 NetBSD 7.1 (GENERIC.201703111743Z) amd64
>Description:
Any GUI program that was compiled with cmake and therefore uses LLVM fails to run.

Here's the output when I try to run Hugin:


(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(hugin:26201): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed
/usr/pkg/share/hugin/data/plugins/crop_cp.py
   CAT:Control Points
   NAM:Crop Control Points
   fails @api-max
/usr/pkg/share/hugin/data/plugins/shooting_pattern.py
   CAT:initial distribution
   NAM:6-1-1 Shooting Pattern
   fails @api-max
/usr/pkg/share/hugin/data/plugins/top_five.py
   CAT:Control Points
   NAM:keep 5 CPs per image pair
   fails @api-max
/usr/pkg/share/hugin/data/plugins/woa.py
   CAT:Control Points
   NAM:Warped Overlap Analysis
   fails @api-max
LLVM ERROR: Program used external function 'llvm.x86.sse41.pmaxsd' which could not be resolved!

Here's the output when I try to run retroarch:

RetroArch [WARN] :: config_load_file :: savefile_directory is not a directory, ignoring ...
RetroArch [WARN] :: config_load_file :: savestate_directory is not a directory, ignoring ...
RetroArch: parse_config_file: Loading config from: /home/gendo/.config/retroarch/retroarch.cfg.
RetroArch: rarch_environment_cb: Environ SET_PIXEL_FORMAT: RGB565.
RetroArch: verify_api_version: Version of libretro API: 1
RetroArch: verify_api_version: Compiled against API: 1
RetroArch: audio_monitor_adjust_system_rates: Set audio input rate to: 29975.50 Hz.
RetroArch: init_video: Video @ fullscreen
RetroArch: gl_init: Found GL context: glx
RetroArch: gl_init: Detecting screen resolution 1280x1024.
RetroArch: x11_query_screens: [X11]: Xinerama version: 1.1.
RetroArch: x11_get_xinerama_coord: [X11]: Xinerama screens: 1.
RetroArch: gfx_ctx_glx_set_video_mode: [GLX]: Using Xinerama on screen #0.
RetroArch: gfx_ctx_glx_set_video_mode: [GLX]: X = 0, Y = 0, W = 1280, H = 1024.
RetroArch: gfx_ctx_glx_set_video_mode: [GLX]: Using windowed fullscreen.
RetroArch: gfx_ctx_glx_set_video_mode: [GLX]: Found swap function: glXSwapIntervalMESA.
RetroArch: gfx_ctx_glx_swap_interval: [GLX]: glXSwapInterval(1)
RetroArch [WARN] :: gfx_ctx_glx_swap_interval :: [GLX]: glXSwapInterval() failed.
RetroArch: gl_init: [GL]: Vendor: VMware, Inc., Renderer: Gallium 0.4 on llvmpipe (LLVM 4.0, 128 bits).
RetroArch: gl_init: [GL]: Version: 3.0 Mesa 11.2.2.
RetroArch: gl_query_extension: Querying GL extension: ARB_ES2_compatibility => exists
RetroArch: gl_query_extension: Querying GL extension: ARB_sync => exists
RetroArch: gl_query_extension: Querying GL extension: ARB_texture_float => exists
RetroArch: gl_query_extension: Querying GL extension: EXT_texture_sRGB => exists
RetroArch: gl_query_extension: Querying GL extension: ARB_framebuffer_sRGB => exists
RetroArch: gl_init: GL: Using resolution 1280x1024
RetroArch: gl_init: [GL]: Default shader backend found: glsl.
RetroArch: gl_shader_init: [GL]: Not loading any shader.
RetroArch: gl_init: [GL]: Using 4 textures.
RetroArch: gl_init: [GL]: Loaded 0 program(s).
RetroArch: gl_set_texture_fmts: [GL]: Using GL_RGB565 for texture uploads.
RetroArch: input_joypad_init_first: Found joypad driver: "null".
RetroArch: font_renderer_create_default: Using font rendering backend: bitmap.
RetroArch: x11_suspend_screensaver: Suspending screensaver (X11).
xdg-screensaver: not found
RetroArch [WARN] :: x11_suspend_screensaver :: Could not suspend screen saver.
RetroArch: rarch_get_cpu_features: [CPUID]: Vendor: AuthenticAMD
RetroArch: rarch_get_cpu_features: [CPUID]: Features: MMX MMXEXT SSE SSE2 SSE3 SSSE3 SSE4 SSE4.2 AES AVX
RetroArch: resampler_sinc_new: Sinc resampler [SSE]
RetroArch: resampler_sinc_new: SINC params (8 phase bits, 16 taps).
RetroArch: rarch_update_system_info: [Core Info]:
RetroArch: rarch_update_system_info: Display Name = pcsx_rearmed_libretro.so
RetroArch: rarch_main_command: SRAM will not be saved.
RetroArch: gl_set_nonblock_state: [GL]: VSync => on
RetroArch: gfx_ctx_glx_swap_interval: [GLX]: glXSwapInterval(1)
RetroArch [WARN] :: gfx_ctx_glx_swap_interval :: [GLX]: glXSwapInterval() failed.
RetroArch: rarch_main_command: Loading history file: [/usr/pkg/bin/home/gendo/.config/retroarch/retroarch-content-history.txt].
RetroArch: gl_set_nonblock_state: [GL]: VSync => on
RetroArch: gfx_ctx_glx_swap_interval: [GLX]: glXSwapInterval(1)
RetroArch [WARN] :: gfx_ctx_glx_swap_interval :: [GLX]: glXSwapInterval() failed.
LLVM ERROR: Program used external function 'llvm.x86.sse41.pmaxsd' which could not be resolved!
>How-To-Repeat:
Run these two programs, or any program that was built with cmake, uses LLVM, and is a GUI program.
>Fix:

>Audit-Trail:
From: Benny Siegert <bsiegert@gmail.com>
To: gnats-bugs@netbsd.org
Cc: pkg-manager@netbsd.org, gnats-admin@netbsd.org, pkgsrc-bugs@netbsd.org
Subject: Re: pkg/53373: GUI programs using cmake fail to run
Date: Tue, 19 Jun 2018 10:00:27 +0200

 On Sun, Jun 17, 2018 at 7:55 AM <dvollen@gmail.com> wrote:

 > Any GUI program that was compiled with cmake and therefore uses LLVM fails to run.

 Let's back up a second here: What does cmake have to do with LLVM?
 cmake uses the same compiler that the rest of the system uses. If you
 set your PKGSRC_COMPILER variable to clang, it will use clang,
 otherwise gcc. I don't see why cmake would use a different compiler.

 > LLVM ERROR: Program used external function 'llvm.x86.sse41.pmaxsd' which could not be resolved!

 Are you using clang from pkgsrc or from base? What is the version?
 Self-compiled?

 Can you post your mk.conf?


 -- 
 Benny

From: Joerg Sonnenberger <joerg@bec.de>
To: gnats-bugs@NetBSD.org
Cc: pkg-manager@netbsd.org, gnats-admin@netbsd.org, pkgsrc-bugs@netbsd.org
Subject: Re: pkg/53373: GUI programs using cmake fail to run
Date: Tue, 19 Jun 2018 14:33:42 +0200

 On Sat, Jun 16, 2018 at 02:35:00PM +0000, dvollen@gmail.com wrote:
 > LLVM ERROR: Program used external function 'llvm.x86.sse41.pmaxsd' which could not be resolved!

 This has most likely nothing to do with cmake at all and is about a
 disagreement between MesaLib and LLVM about the supported intrinsics...

 Joerg

From: David Vollenweider <dvollen@gmail.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/53373: GUI programs using cmake fail to run
Date: Wed, 20 Jun 2018 21:57:44 -0400

 --Sig_/Q98Ov6g9.rQJvtkjgU6_L7C
 Content-Type: text/plain; charset=US-ASCII
 Content-Transfer-Encoding: quoted-printable

 You're right, and it was my mistake to blame it on cmake.  Both
 RetroArch and Hugin use Mesa. I'd forgotten that the latter uses it for
 panorama previews.

 I actually had the same issue on my laptop.  Setting the permissions to
 0660 on /dev/dri/card0 fixed the problem there.  Unfortunately on this
 system X is reverting to VESA mode because it can't properly detect the
 video card, so /dev/dri/clip0 doesn't even exist, hence why that
 solution won't work in this case.

 - Dave

 On Tue, 19 Jun 2018 12:35:01 +0000 (UTC)
 Joerg Sonnenberger <joerg@bec.de> wrote:

 > The following reply was made to PR pkg/53373; it has been noted by
 > GNATS.
 >=20
 > From: Joerg Sonnenberger <joerg@bec.de>
 > To: gnats-bugs@NetBSD.org
 > Cc: pkg-manager@netbsd.org, gnats-admin@netbsd.org,
 > pkgsrc-bugs@netbsd.org Subject: Re: pkg/53373: GUI programs using
 > cmake fail to run Date: Tue, 19 Jun 2018 14:33:42 +0200
 >=20
 >  On Sat, Jun 16, 2018 at 02:35:00PM +0000, dvollen@gmail.com wrote:
 >  > LLVM ERROR: Program used external function 'llvm.x86.sse41.pmaxsd'
 >  > which could not be resolved! =20
 > =20
 >  This has most likely nothing to do with cmake at all and is about a
 >  disagreement between MesaLib and LLVM about the supported
 > intrinsics...=20
 >  Joerg
 > =20


 --Sig_/Q98Ov6g9.rQJvtkjgU6_L7C
 Content-Type: application/pgp-signature
 Content-Description: OpenPGP digital signature

 -----BEGIN PGP SIGNATURE-----

 iQIzBAEBCAAdFiEE3csaxgiX0elQlTNIDXgnaX74fFAFAlsrBhkACgkQDXgnaX74
 fFBzCBAAnbU+CpBlB9Qhiahck2JKvWsYSRscXmdM+i0om4EoOyMX7V5PfarRw5fw
 hgxdsIlgOmED64+JLPkG962Z7rVyiivF/qfFnJiy2a+qGMnkoQPuoLu0fFeZwJm1
 Zv5Iev4onpFJwM/ysRpfW0ZCD8XM7KCpS4FZySndEG9QOySuPZjL/NzORJvVtqTR
 4J1iQW456sD67yeR9cMYFg9vtOsmV2CJ/8ul+zXOiuVBEmav8vDapUSIHbI7Yo6P
 rNGRXqYa1HdW3hy9ogGtKm+QBaQIAfW2AKpJXBGdkdQyp2QLr1klKTbQAW3H50FM
 qaYoyLJyHpHBXe/WSnAZ/JBE3H+L0/pMfu5LG4t7UM1ToTUUCiPHbuyZeixx/GBz
 l9Po4AiExhqRquOMvTMZyD1zaFxiRd6LoiLQwU96W0+Dt6d8I2FHO/bJt5bz1Exe
 0EAioPnuRbWHj6sEmOuwXj3rD+w90eP9hZTYwJqHPx4U6i5Ayx1NC/ji2SDIo96r
 erDfiUsZALzrWK9gqoHDSINpy4RsF2WrxMEnRzbRh1gekuUCd5idtPRB/7ICEgM/
 9rGUVywe7lO2KUNwQmHrP0zpbqXyQmW3Bkwryks463mk1fesyw77I20yrsmRDWjk
 Cd7cjI6uaB9FCExGE1nvfc17guDzEfT9oEWMAZCPd/91+h1Sh6o=
 =CeL6
 -----END PGP SIGNATURE-----

 --Sig_/Q98Ov6g9.rQJvtkjgU6_L7C--

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.43 2018/01/16 07:36:43 maya Exp $
$NetBSD: gnats_config.sh,v 1.9 2014/08/02 14:16:04 spz Exp $
Copyright © 1994-2017 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.